### Method

# EDataCal CalBackendSync open

#### Declaration [src]

    void
    e_cal_backend_sync_open (
      ECalBackendSync* backend,
      EDataCal* cal,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Calls the open_sync method on the given backend.

#### Parameters

`cal`

  Type: `EDataCal`

  An EDataCal object.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` for the operation or just create it when it does not exist.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.